Package org.eclipse.pde.launching

# Class PDESourcePathProvider

java.lang.Object
org.eclipse.jdt.launching.StandardClasspathProvider
org.eclipse.jdt.launching.StandardSourcePathProvider
org.eclipse.pde.launching.PDESourcePathProvider

All Implemented Interfaces:
  `IRuntimeClasspathProvider`

public class PDESourcePathProvider extends StandardSourcePathProvider
Generates a source lookup path for all PDE-based launch configurations

Clients may subclass this class.

This class originally existed in 3.3 as `org.eclipse.pde.ui.launcher.PDESourcePathProvider`.

Since:
  3.6

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ID`
The ID of this source lookup path provider

## Constructor Summary

Constructors
Constructor
Description
`PDESourcePathProvider()`

## Method Summary

Modifier and Type
Method
Description
`IRuntimeClasspathEntry[]`
`computeUnresolvedClasspath(ILaunchConfiguration configuration)`
`IRuntimeClasspathEntry[]`
`resolveClasspath(IRuntimeClasspathEntry[] entries, ILaunchConfiguration configuration)`

### Methods inherited from class org.eclipse.jdt.launching.StandardSourcePathProvider

`addManifestReferences`

### Methods inherited from class org.eclipse.jdt.launching.StandardClasspathProvider

`recoverRuntimePath`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ID

public static final String ID
The ID of this source lookup path provider

See Also:
  - Constant Field Values

## Constructor Details

### PDESourcePathProvider

public PDESourcePathProvider()

## Method Details

### computeUnresolvedClasspath

public IRuntimeClasspathEntry[] computeUnresolvedClasspath(ILaunchConfiguration configuration) throws CoreException

Specified by:
  `computeUnresolvedClasspath` in interface `IRuntimeClasspathProvider`
Overrides:
  `computeUnresolvedClasspath` in class `StandardSourcePathProvider`
Throws:
  `CoreException`

### resolveClasspath

public IRuntimeClasspathEntry[] resolveClasspath(IRuntimeClasspathEntry[] entries, ILaunchConfiguration configuration) throws CoreException

Specified by:
  `resolveClasspath` in interface `IRuntimeClasspathProvider`
Overrides:
  `resolveClasspath` in class `StandardSourcePathProvider`
Throws:
  `CoreException`